import type React from 'react';
import type { ImportExportResult, ConnectionShortInfo, CommonImportExportState } from './common';
type ExportConnectionsState = CommonImportExportState<ConnectionShortInfo> & {
    removeSecrets: boolean;
};
export declare function useExportConnections({ finish, open, trackingProps, }: {
    finish: (result: ImportExportResult) => void;
    open: boolean;
    trackingProps?: Record<string, unknown>;
}): {
    onCancel: () => void;
    onSubmit: () => void;
    onChangeFilename: (filename: string) => void;
    onChangePassphrase: (passphrase: string) => void;
    onChangeConnectionList: (connectionInfos: ConnectionShortInfo[]) => void;
    onChangeRemoveSecrets: (evt: React.ChangeEvent<HTMLInputElement>) => void;
    state: ExportConnectionsState;
};
export {};
//# sourceMappingURL=use-export-connections.d.ts.map